Skip to main content
POST
/
v0
/
business
/
{business_id}
/
external-account
curl --request POST \
  --url https://api.sandbox.getasset.com/v0/business/{business_id}/external-account \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Checking Account",
  "mask": "4576",
  "source": "manual",
  "type": "business",
  "ledger_id": "ldg_Ns6rRRLYVZPh4cVB7MDby5"
}
'
{
  "business_id": "<string>",
  "external_id": "1234567890",
  "disconnected_at": "2023-11-07T05:31:56Z",
  "last_synced_at": "2023-11-07T05:31:56Z",
  "last_balanced_at": "2023-11-07T05:31:56Z",
  "external_balance": 3512.85,
  "last_statement_end_date": "2023-11-07T05:31:56Z",
  "id": "<string>",
  "ledger_id": "ldg_Ns6rRRLYVZPh4cVB7MDby5",
  "contribution_ledger_id": "ldg_Ns6rRRLYVZPh4cVB7MDby5",
  "distribution_ledger_id": "ldg_Ns6rRRLYVZPh4cVB7MDby5",
  "financial_account_type": "bank_account",
  "metadata_": {},
  "name": "ABC Business Checking",
  "mask": "1234",
  "linked_item_id": "lni_R2fAXCjqJPdpYata112zyW",
  "status": "connected",
  "institution_name": "Chase Bank"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

business_id
string<biz_string>
required

The id of the business

Example:

"biz_GA6EG2qFxA97NZHtxeLPUy"

Body

application/json
name
string
required

The name of the External Account

mask
string
required

The mask of the External Account. It's usually the last four digits of the account number.

source
enum<string>
required

The source of the External Account.

Available options:
manual,
statements
type
string
required

The type of the External Account

Allowed value: "personal"
financial_account_type
enum<string>
required

The type of real-world financial account this Personal External Account represents. Used to derive the debit/credit designation.

Available options:
bank_account,
credit_card,
prepaid_card,
payments,
payroll,
loan,
accounts_receivable,
accounts_payable
contribution_ledger_id
string<ldg_string>
required

The ID of the Contribution Ledger associated with the Personal External Account. Required for personal accounts.

distribution_ledger_id
string<ldg_string>
required

The ID of the Distribution Ledger associated with the Personal External Account. Required for personal accounts.

metadata_
Metadata · object

The metadata of the External Account

Response

Successful Response

business_id
string<biz_string>
required

The ID of the Business associated with the External Account

Example:

"biz_Pk2fNFDd8wj7EFeLWJywc7"

type
enum<string>
required

The type of the External Account

Available options:
business,
personal
Examples:

"business"

"personal"

source
enum<string>
required

The source of the External Account

Available options:
manual,
plaid,
statements,
gusto
Examples:

"manual"

"plaid"

external_id
string | null
required

The external ID of the External Account

Maximum string length: 255
Example:

"1234567890"

disconnected_at
string<date-time> | null
required

Datetime when the external account was disconnected

last_synced_at
string<date-time> | null
required

Datetime when the external account was last synced

last_balanced_at
string<date-time> | null
required

Datetime when the external account was last balanced

external_balance
number | null
required

The current balance of the External Account

Example:

3512.85

last_statement_end_date
string<date-time> | null
required

Datetime when the external account balance was last updated

id
string<eac_string>
required

The ID of the External Account

Example:

"eac_Ns6rRRLYVZPh4cVB7MDby5"

ledger_id
string<ldg_string> | null

The ID of the Bank Ledger associated with the Business External Account

Example:

"ldg_Ns6rRRLYVZPh4cVB7MDby5"

contribution_ledger_id
string<ldg_string> | null

The ID of the Contribution Ledger associated with the Personal External Account

Example:

"ldg_Ns6rRRLYVZPh4cVB7MDby5"

distribution_ledger_id
string<ldg_string> | null

The ID of the Distribution Ledger associated with the Personal External Account

Example:

"ldg_Ns6rRRLYVZPh4cVB7MDby5"

financial_account_type
enum<string> | null

The type of real-world financial account this External Account represents

Available options:
bank_account,
credit_card,
prepaid_card,
payments,
payroll,
loan,
accounts_receivable,
accounts_payable
Example:

"bank_account"

metadata_
Metadata · object
name
string | null

The name of the External Account

Maximum string length: 255
Example:

"ABC Business Checking"

mask
string | null

The mask of the External Account

Maximum string length: 255
Example:

"1234"

linked_item_id
string<lni_string> | null

The ID of the Linked Item associated with the External Account

Example:

"lni_R2fAXCjqJPdpYata112zyW"

status
enum<string>
default:connected

The status of the External Account

Available options:
connected,
disconnected,
untracked
Examples:

"connected"

"disconnected"

institution_name
string | null

The name of the institution associated with the External Account, if any

Example:

"Chase Bank"